Bug 1416168 - NetworkManager need not be stopped and disabled
Summary: NetworkManager need not be stopped and disabled
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.10
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-24 18:15 UTC by SATHEESARAN
Modified: 2017-04-21 09:34 UTC (History)
4 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:34:29 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rnachimu: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 71254 master MERGED gdeploy: Don't disable network manager 2017-01-30 17:28:11 UTC
oVirt gerrit 71766 ovirt-4.1 MERGED gdeploy: Don't disable network manager 2017-02-10 06:10:04 UTC

Description SATHEESARAN 2017-01-24 18:15:09 UTC
Description of problem:
-----------------------
The generated gdeploy config file has gdeploy ansible modules to stop and disable NetworkManager. With oVirt 4.1 stopping & disabling NetworkManager is not mandatory for hosted-engine deployment

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
cockpit-ovirt-dashboard-0.10.7-0.0.5

How reproducible:
-----------------
always

Steps to Reproduce:
-------------------
1. Choose gluster deployment using cockpit-ovirt plugin
2. Check for the generated gdeploy config file

Actual results:
---------------
NetworkManager is stopped and disabled

[service3]
action=stop
service=NetworkManager

[service4]
action=disable
service=NetworkManager

Expected results:
-----------------
NetworkManager need not be disabled and stopped

Comment 1 SATHEESARAN 2017-03-08 18:05:16 UTC
Tested with ovirt-cockpit-dashboard-0.10.7-0.0.13

The step to stop and disable NetworkManager is removed from generated gdeploy config file


Note You need to log in before you can comment on or make changes to this bug.